%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           autoarchive
Version:        0.2.0
Release:        3%{?dist}
Summary:        A simple backup tool that uses tar

Group:          Applications/System
License:        GPLv3
URL:            http://autoarchive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       lzma
Requires:       tar
Requires:       gzip
Requires:       bzip2
Requires:       xz


%description
AutoArchive is a simple utility for making backups more easily. It
uses tar for creating archives. The idea of the program is that every 
information needed for making a backup is in one file - the archive 
spec file. Path to this file is passed as a parameter to 'aa' command 
which reads informations from it and creates desired backup.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README README.sk src/doc/examples/
%{_mandir}/man?/*.*
%{_bindir}/autoarchive
%{_bindir}/aa
%{python_sitelib}/AutoArchive/
%{python_sitelib}/%{name}*.egg-info


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Mar 20 2010 Fabian Affolter <fabian@bernewireless.net> - 0.2.0-1
- Changed man page compression format
- Added xz as a BR
- Updated to new upstreaqm version 0.2.0

* Sun Jul 26 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.2-2
- Modified BR and requirements
- Switched from define to global
- Cleaned up macros and removed ./ 
- Readded COPYING

* Wed Apr 15 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.2-1
- Upstream renamed some parts from aa to autoarchive (symlinks)
- Added examples
- Updated to new upstream version 0.1.2

* Wed Mar 22 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.1-2
- Fixed issues from #473835

* Sun Nov 30 2008 Fabian Affolter <fabian@bernewireless.net> - 0.1.1-1
- Initial package for Fedora
